Bug 177986 - kaddressbook crashes when saving dist list (repeatable)
Summary: kaddressbook crashes when saving dist list (repeatable)
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kab3
Classification: Miscellaneous
Component: general (show other bugs)
Version: 4.1
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Tobias Koenig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-17 14:50 UTC by Neal Becker
Modified: 2009-08-05 16:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
backtrace (4.68 KB, text/plain)
2008-12-17 14:51 UTC, Neal Becker
Details
Backtrace in Kubuntu (Kde 4.1.96) (2.76 KB, text/plain)
2009-01-27 15:51 UTC, Jari Laamanen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Becker 2008-12-17 14:50:29 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

This is kdepim-4.1.85-1.fc10.x86_64
from kde-redhat.
Comment 1 Neal Becker 2008-12-17 14:51:32 UTC
Created attachment 29394 [details]
backtrace
Comment 2 Rex Dieter 2008-12-17 16:01:26 UTC
rpm -q akonadi 
too please
Comment 3 Neal Becker 2008-12-17 16:09:00 UTC
akonadi-1.0.81-1.fc10.x86_64
Comment 4 FiNeX 2008-12-18 14:10:20 UTC
Backtrace from comment #1:



Application: KAddressBook (kaddressbook), signal SIGSEGV
0x0000003840aa7f50 in __nanosleep_nocancel () from /lib64/libc.so.6
Current language:  auto; currently c
[Current thread is 1 (Thread 0x7f5425bec800 (LWP 22280))]

Thread 1 (Thread 0x7f5425bec800 (LWP 22280)):
[KCrash Handler]
#5  QSharedDataPointer<Akonadi::EntityPrivate>::operator= () at /usr/include/QtCore/qshareddata.h:88
#6  Akonadi::Entity::operator= (this=0x15b2008, other=@0x0) at /usr/src/debug/kdepimlibs-4.1.85/akonadi/entity.cpp:77
#7  0x000000306cc7c74a in operator= () at /usr/src/debug/kdepimlibs-4.1.85/akonadi/collection.h:66
#8  ItemCreateJob (this=0x1b7a9c0, item=@0x7fff2dc5d350, collection=@0x0, parent=0x1a5ea80) at /usr/src/debug/kdepimlibs-4.1.85/akonadi/itemcreatejob.cpp:60
#9  0x00000000008add1d in KABC::ResourceAkonadi::Private::createSaveSequence (this=0x1313690) at /usr/src/debug/kdepim-4.1.85/kresources/akonadi/kabc/resourceakonadi.cpp:1173
#10 0x00000000008b1f29 in KABC::ResourceAkonadi::save (this=0x131dc70, ticket=<value optimized out>) at /usr/src/debug/kdepim-4.1.85/kresources/akonadi/kabc/resourceakonadi.cpp:417
#11 0x00000037d9031eb7 in KABC::AddressBook::save (this=<value optimized out>, ticket=0x1ac2640) at /usr/src/debug/kdepimlibs-4.1.85/kabc/addressbook.cpp:383
#12 0x00000037dc887ed3 in KABCore::save (this=0x12ed310) at /usr/src/debug/kdepim-4.1.85/kaddressbook/kabcore.cpp:844
#13 0x00000037dc892105 in KABCore::qt_metacall (this=0x12ed310, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2dc5d6d0)
    at /usr/src/debug/kdepim-4.1.85/x86_64-redhat-linux-gnu/kaddressbook/kabcore.moc:213
#14 0x000000384af56764 in QMetaObject::activate (sender=0x1780d50, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x1b82db0) at kernel/qobject.cpp:3031
#15 0x00000037d4b7cb37 in QAction::triggered (this=0x15b2008, _t1=false) at .moc/release-shared/moc_qaction.cpp:216
#16 0x00000037d4b7d300 in QAction::activate (this=0x1780d50, event=<value optimized out>) at kernel/qaction.cpp:1125
#17 0x00000037d4f146cd in QMenuPrivate::activateAction (this=0x19600d0, action=0x1780d50, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1002
#18 0x00000037d60ce791 in KMenu::mouseReleaseEvent () from /usr/lib64/libkdeui.so.5
#19 0x00000037d4bd4f19 in QWidget::event (this=0x1903cb0, event=0x7fff2dc5e140) at kernel/qwidget.cpp:7163
#20 0x00000037d4f16eab in QMenu::event (this=0x1903cb0, e=0x7fff2dc5e140) at widgets/qmenu.cpp:2265
#21 0x00000037d4b8281d in QApplicationPrivate::notify_helper (this=0x1267190, receiver=0x1903cb0, e=0x7fff2dc5e140) at kernel/qapplication.cpp:3803
#22 0x00000037d4b8ae3a in QApplication::notify (this=<value optimized out>, receiver=0x1903cb0, e=0x7fff2dc5e140) at kernel/qapplication.cpp:3528
#23 0x00000037d60049ab in KApplication::notify () from /usr/lib64/libkdeui.so.5
#24 0x000000384af42391 in QCoreApplication::notifyInternal (this=0x7fff2dc5ef30, receiver=0x1903cb0, event=0x7fff2dc5e140) at kernel/qcoreapplication.cpp:587
#25 0x00000037d4b8a1d8 in QCoreApplication::sendSpontaneousEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:212
#26 QApplicationPrivate::sendMouseEvent (receiver=0x1903cb0, event=0x7fff2dc5e140, alienWidget=0x0, nativeWidget=0x1903cb0, buttonDown=<value optimized out>, lastMouseReceiver=@0x37d54fd3c0)
    at kernel/qapplication.cpp:2793
#27 0x00000037d4bee9e4 in QETWidget::translateMouseEvent (this=0x1903cb0, event=<value optimized out>) at kernel/qapplication_x11.cpp:3978
#28 0x00000037d4bed247 in QApplication::x11ProcessEvent (this=0x13b, event=0x7fff2dc5ebb0) at kernel/qapplication_x11.cpp:3162
#29 0x00000037d4c139f4 in x11EventSourceDispatch (s=0x126b120, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:142
#30 0x000000384223779b in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#31 0x000000384223af6d in ?? () from /lib64/libglib-2.0.so.0
#32 0x000000384223b12b in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#33 0x000000384af6a79f in QEventDispatcherGlib::processEvents (this=0x1268c80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:319
#34 0x00000037d4c1319f in QGuiEventDispatcherGlib::processEvents (this=0x15b2008, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:198
#35 0x000000384af40cb2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:143
#36 0x000000384af40e3d in QEventLoop::exec (this=0x7fff2dc5eee0, flags=) at kernel/qeventloop.cpp:194
#37 0x000000384af432ed in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845
#38 0x0000000000406449 in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdepim-4.1.85/kaddressbook/main.cpp:122

Comment 5 Jari Laamanen 2009-01-27 15:47:54 UTC
Crashing here in Kubuntu also, when adding a distribution list. As a result, I cannot now add any lists, which I had in kde3 (kaddressbook 3.5.3).

Qt: 4.4.3                                                                                                   
KDE: 4.1.96 (KDE 4.1.96 (KDE 4.2 RC1))                                                                      
KAddressBook: 4.1                                                                                           

||/ Name                  Version               Description
ii  akonadi-kde           4:4.1.96-0ubuntu1~intrepid1~ppa2 akonadi resources for KDE
ii  akonadi-server        1.1.0-0ubuntu1~intrepid1~ppa2 Akonadi PIM storage service

Below: Start with sync-option, click "Add new distribution list", click "Save", crash. Happens reliably every time.

shell> kaddressbook --sync
kaddressbook(3264) ViewManager::setActiveView: entering ViewManager::setActiveView
kaddressbook(3264): Shortcut for KAction  "clear_search" "Clear Search Bar" set with QShortcut::setShortcut()! See KAction documentation.
kaddressbook(3264): Attempt to use QAction "edit_undo" with KXMLGUIFactory!
kaddressbook(3264): Attempt to use QAction "edit_redo" with KXMLGUIFactory!
ASSERT: "subResource != 0" in file /build/buildd/kdepim-4.1.96/kresources/akonadi/kabc/resourceakonadi.cpp, line 1216
KCrash: Application 'kaddressbook' crashing...
sock_file=/home/user/.kde/socket-host/kdeinit4__0
Comment 6 Jari Laamanen 2009-01-27 15:51:42 UTC
Created attachment 30660 [details]
Backtrace in Kubuntu (Kde 4.1.96)
Comment 7 Jari Laamanen 2009-01-28 04:20:58 UTC
I upgraded to kde 4.2 today. No crash anymore, but an error message instead. The result is the same, no distribution list created.

Kubuntu 8.10
Qt: 4.4.3
KDE: 4.2.00 (KDE 4.2.0)
KAddressBook: 4.1
akonadi-kde: 4:4.2.0-0ubuntu1~intrepid~ppa3
akonadi-server: 1.1.0-0ubuntu1~intrepid1~ppa1

shell$ kaddressbook --sync
kaddressbook(2019) ViewManager::setActiveView: entering ViewManager::setActiveView
kaddressbook(2019): Shortcut for KAction  "clear_search" "Clear Search Bar" set with QShortcut::setShortcut()! See KAction documentation.
kaddressbook(2019): Attempt to use QAction "edit_undo" with KXMLGUIFactory!
kaddressbook(2019): Attempt to use QAction "edit_redo" with KXMLGUIFactory!
kaddressbook(2019): Could not determine a collection for saving distlists

And the dialog error message is: "Unable to save address book Akonadi Compatibility Resource."
Comment 8 Jari Laamanen 2009-02-26 22:40:16 UTC
It works now with the following akonadi packages:

Qt: 4.4.3
KDE: 4.2.00 (KDE 4.2.0)
KAddressBook: 4.1

akonadi-kde/intrepid 4:4.2.0-0ubuntu1~intrepid3
akonadi-server/intrepid 1.1.1-0ubuntu2~intrepid2

Thanks, I think this can be closed.
Comment 9 Jari Laamanen 2009-02-27 11:42:24 UTC
Sorry, but it doesn't work after all. When closing kontact, the error message "Unable to save address book Akonadi Compatibility Resource." appears and the saved distribution list disappears. Looks like I'm the only one suffering from this bug. Maybe someone could help me to right direction to solve this issue, since updating these bug reports seems to be just a waste of time. I need the ability to send mails to lists, now I don't have that.
Comment 10 Tobias Koenig 2009-08-05 16:39:46 UTC
The development of the old KAddressBook will be discontinued for KDE 4.4.
Since the new application has the same name, but a completly new code base we close all bug reports against the old version and ask the submitters to resend there reports against the new product.